com.microfocus.awm.meta.interfaces

## Interface ISAISPFTool

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ISAISPFToolImpl

      public interface ISAISPFTool
      extends AWMObject

  ISA_ISPFTool is a complex attribute that can be modeled for a tool descriptor. It contains attributes needed to call a module or a procedure in an ISPF environment. (deprecated)

  The following features are supported:

  - `Has Panel`
  - `In Parm Separator`
  - `Invoke Form`
  - `Out Parm Separator`
  - `Program ID`
  See Also:
    `TaurusPackage.getISAISPFTool()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RISPFToolPanel>` | `getHasPanel()` Returns the value of the 'Has Panel' containment reference list.
    `java.lang.String` | `getInParmSeparator()` Returns the value of the 'In Parm Separator' attribute.
    `java.lang.String` | `getInParmSeparatorWithoutQuotes()` Deprecated. use `ToolDescriptor.getInParmSeparatorWithoutQuotes()` instead.
    `EInvokeForms` | `getInvokeForm()` Returns the value of the 'Invoke Form' attribute.
    `java.lang.String` | `getOutParmSeparator()` Returns the value of the 'Out Parm Separator' attribute.
    `java.lang.String` | `getOutParmSeparatorWithoutQuotes()` Deprecated. use `ToolDescriptor.getOutParmSeparatorWithoutQuotes()` instead.
    `java.lang.String` | `getProgramID()` Returns the value of the 'Program ID' attribute.
    `boolean` | `isSetInParmSeparator()` Returns whether the value of the '`In Parm Separator`' attribute is set.
    `boolean` | `isSetInvokeForm()` Returns whether the value of the '`Invoke Form`' attribute is set.
    `boolean` | `isSetOutParmSeparator()` Returns whether the value of the '`Out Parm Separator`' attribute is set.
    `void` | `setInParmSeparator(java.lang.String value)` Sets the value of the '`In Parm Separator`' attribute.
    `void` | `setInvokeForm(EInvokeForms value)` Sets the value of the '`Invoke Form`' attribute.
    `void` | `setOutParmSeparator(java.lang.String value)` Sets the value of the '`Out Parm Separator`' attribute.
    `void` | `setProgramID(java.lang.String value)` Sets the value of the '`Program ID`' attribute.
    `void` | `unsetInParmSeparator()` Unsets the value of the '`In Parm Separator`' attribute.
    `void` | `unsetInvokeForm()` Unsets the value of the '`Invoke Form`' attribute.
    `void` | `unsetOutParmSeparator()` Unsets the value of the '`Out Parm Separator`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasPanel

          org.eclipse.emf.common.util.EList<RISPFToolPanel> getHasPanel()

      Returns the value of the 'Has Panel' containment reference list. The list contents are of type `RISPFToolPanel`. Reference to a tool of type ISA_ISPFPanel; only relevant if the tool is an ISPF dialog tool
      Returns:
        the value of the 'Has Panel' containment reference list.
      See Also:
        `TaurusPackage.getISAISPFTool_HasPanel()`

    - #### getInParmSeparator

          java.lang.String getInParmSeparator()

      Returns the value of the 'In Parm Separator' attribute. The default value is `"\" \""`.
      Separator to be used when transferring parameter values.
      Returns:
        the value of the 'In Parm Separator' attribute.
      See Also:
        `isSetInParmSeparator()`, `unsetInParmSeparator()`, `setInParmSeparator(String)`, `TaurusPackage.getISAISPFTool_InParmSeparator()`

    - #### setInParmSeparator

          void setInParmSeparator(java.lang.String value)

      Sets the value of the '`In Parm Separator`' attribute.
      Parameters:
        `value` - the new value of the 'In Parm Separator' attribute.
      See Also:
        `isSetInParmSeparator()`, `unsetInParmSeparator()`, `getInParmSeparator()`

    - #### unsetInParmSeparator

          void unsetInParmSeparator()

      Unsets the value of the '`In Parm Separator`' attribute.
      See Also:
        `isSetInParmSeparator()`, `getInParmSeparator()`, `setInParmSeparator(String)`

    - #### isSetInParmSeparator

          boolean isSetInParmSeparator()

      Returns whether the value of the '`In Parm Separator`' attribute is set.
      Returns:
        whether the value of the 'In Parm Separator' attribute is set.
      See Also:
        `unsetInParmSeparator()`, `getInParmSeparator()`, `setInParmSeparator(String)`

    - #### getInvokeForm

          EInvokeForms getInvokeForm()

      Returns the value of the 'Invoke Form' attribute. The literals are from the enumeration `EInvokeForms`.
      Invocation form for the ISPF tools.

      Allowed values:

      - CMD
      - PGM
      - REXX
      Returns:
        the value of the 'Invoke Form' attribute.
      See Also:
        `EInvokeForms`, `isSetInvokeForm()`, `unsetInvokeForm()`, `setInvokeForm(EInvokeForms)`, `TaurusPackage.getISAISPFTool_InvokeForm()`

    - #### setInvokeForm

          void setInvokeForm(EInvokeForms value)

      Sets the value of the '`Invoke Form`' attribute.
      Parameters:
        `value` - the new value of the 'Invoke Form' attribute.
      See Also:
        `EInvokeForms`, `isSetInvokeForm()`, `unsetInvokeForm()`, `getInvokeForm()`

    - #### unsetInvokeForm

          void unsetInvokeForm()

      Unsets the value of the '`Invoke Form`' attribute.
      See Also:
        `isSetInvokeForm()`, `getInvokeForm()`, `setInvokeForm(EInvokeForms)`

    - #### isSetInvokeForm

          boolean isSetInvokeForm()

      Returns whether the value of the '`Invoke Form`' attribute is set.
      Returns:
        whether the value of the 'Invoke Form' attribute is set.
      See Also:
        `unsetInvokeForm()`, `getInvokeForm()`, `setInvokeForm(EInvokeForms)`

    - #### getOutParmSeparator

          java.lang.String getOutParmSeparator()

      Returns the value of the 'Out Parm Separator' attribute. The default value is `"\" \""`.
      Separator to be used for the output parameters.
      Returns:
        the value of the 'Out Parm Separator' attribute.
      See Also:
        `isSetOutParmSeparator()`, `unsetOutParmSeparator()`, `setOutParmSeparator(String)`, `TaurusPackage.getISAISPFTool_OutParmSeparator()`

    - #### setOutParmSeparator

          void setOutParmSeparator(java.lang.String value)

      Sets the value of the '`Out Parm Separator`' attribute.
      Parameters:
        `value` - the new value of the 'Out Parm Separator' attribute.
      See Also:
        `isSetOutParmSeparator()`, `unsetOutParmSeparator()`, `getOutParmSeparator()`

    - #### unsetOutParmSeparator

          void unsetOutParmSeparator()

      Unsets the value of the '`Out Parm Separator`' attribute.
      See Also:
        `isSetOutParmSeparator()`, `getOutParmSeparator()`, `setOutParmSeparator(String)`

    - #### isSetOutParmSeparator

          boolean isSetOutParmSeparator()

      Returns whether the value of the '`Out Parm Separator`' attribute is set.
      Returns:
        whether the value of the 'Out Parm Separator' attribute is set.
      See Also:
        `unsetOutParmSeparator()`, `getOutParmSeparator()`, `setOutParmSeparator(String)`

    - #### getProgramID

          java.lang.String getProgramID()

      Returns the value of the 'Program ID' attribute.
      Unique name by which the attached host system can find the corresponding tool.
      Returns:
        the value of the 'Program ID' attribute.
      See Also:
        `setProgramID(String)`, `TaurusPackage.getISAISPFTool_ProgramID()`

    - #### setProgramID

          void setProgramID(java.lang.String value)

      Sets the value of the '`Program ID`' attribute.
      Parameters:
        `value` - the new value of the 'Program ID' attribute.
      See Also:
        `getProgramID()`

    - #### getInParmSeparatorWithoutQuotes

          @Deprecated
          java.lang.String getInParmSeparatorWithoutQuotes()

      Deprecated. use `ToolDescriptor.getInParmSeparatorWithoutQuotes()` instead.

    - #### getOutParmSeparatorWithoutQuotes

          @Deprecated
          java.lang.String getOutParmSeparatorWithoutQuotes()

      Deprecated. use `ToolDescriptor.getOutParmSeparatorWithoutQuotes()` instead.

Copyright © 2015 Micro Focus GmbH. All rights reserved.